#include <bits/stdc++.h>
using namespace std;
int main(){
    int n,k,o;
    cin>>n>>k;
    int a[n];
    for(int i=0;i<n;i++){
        cin>>a[i];
        if(a[i]==k){
            o=i;
        }
    }
    if(o==n-1){
            cout<<a[0];
        }
    else{
            cout<<a[o+1];
    }
}